#!/bin/bash
#--------------------------------------------------------------------------------------------------------------------
# Version: 0.1
#
# Copyright (C) 2013  Juan Oliva / jroliva@gmail.com / @jroliva
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#--------------------------------------------------------------------------------------------------------------------

NLP=1 #Umbral de cantidad de llamadas consideradas como peligrosas
SERVIDOR="192.168.1.10"
EMAIL="jroliva@gmail.com"
while [ 1 ]; do
   NLS=`asterisk -rx 'core show channels' | grep active | sed -n 2p | cut -d " " -f 1` #Extrae la cantidad de llamadas actual
   if [ "$NLS" -ge "$NLP" ]; then # Si la cantidad de llamadas actual es igual o mayor al umbral entonces
      echo "existen:$NLP llamadas simultaneas en el servidor $SERVIDOR" |mail -s "SERVIDOR $SERVIDOR CON $NLP LLAMADAS SIMULTANEAS" $EMAIL
   fi
   sleep 15 #Consulta cada 15 segundos , modificar segun su nivel de paranoia :D
done

#---------------------------------------------------------------------------------------------------------------------
#1.- Modo de ejecucion en primer plano
#chmod a+x AlertCallMonitor.sh
#./AlertCallMonitor.sh

#2.- Modo de ejecucion en segundo plano
#vi /etc/rc.local
#sh /opt/AlertCallMonitor.sh &

#3.- Agregar mas destinatarios
#Crear aun variable EMAIL2=some2@gmail.com
#Al final de la linea 26 agregar :  -c $EMAIL2


#---------------------------------------------------------------------------------------------------------------------
~                                                                                                                                                     
~                                                                                                                                     
